@import '../../../styles/mixins';
@import '../../../styles/props';

:host {
  @include flex(center);
  cursor: pointer;

  // compact logo
  &.compact {
    // circle
    .app-logo-circle {
      @include ball(30px);

      span {
        font-size: 16px;
        line-height: 18px;
      }
    }

    // title
    .app-logo-title {
      font-size: 13px;
      line-height: 14px;
      color: $white;
      margin-left: 6px;
    }
  }
}

// circle
.app-logo-circle {
  @include ball(50px);
  @include flex(center, center);
  background-color: $tangerine-yellow;

  span {
    @include ubuntuMedium;
    font-size: 28px;
    line-height: 32px;
    color: $egyptian-blue;
  }
}

// title
.app-logo-title {
  @include ubuntuBold;
  @include flex(center);
  color: $egyptian-blue;
  font-size: 24px;
  line-height: 28px;
  margin-left: 14px;

  sup {
    transform: scale(0.8) translateY(-0.2em);
  }
}
